-- This is a quick and dirty routine that translates a modular type to an ASCII
-- string which always has leading zeroes.

with System;

package Apex_Modular_Type_To_String is

    pragma Suppress_All;

    type Largest_Modular_Type is mod System.Max_Binary_Modulus;

    type Size_Range is range 1 .. Largest_Modular_Type'Size;

    function Convert (Val : Largest_Modular_Type; Actual_Size : Size_Range)
                     return String;

end Apex_Modular_Type_To_String;

